Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357925 - Undercloud: Nova-client: Cannot use v2 authentication with domain scope [NEEDINFO]
Summary: Undercloud: Nova-client: Cannot use v2 authentication with domain scope
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ga
: 9.0 (Mitaka)
Assignee: Pradeep Kilambi
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-19 15:18 UTC by Yurii Prokulevych
Modified: 2016-08-11 11:36 UTC (History)
8 users (show)

Fixed In Version: instack-undercloud-4.0.0-9.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-11 11:36:38 UTC
sclewis: needinfo? (jcoufal)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1599 normal SHIPPED_LIVE Red Hat OpenStack Platform 9 director Release Candidate Advisory 2016-08-11 15:25:37 UTC
OpenStack gerrit 344279 None None None 2016-07-19 15:19:36 UTC
OpenStack gerrit 344284 None None None 2016-07-19 15:20:08 UTC

Description Yurii Prokulevych 2016-07-19 15:18:12 UTC
Description of problem:
-----------------------
Traceback in ceilometer/central.log on undercloud:

2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client [req-0cef69bb-fc2e-4745-8516-e6f457881e9d admin - - - -] Cannot use v2 authentication with domain scope
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client Traceback (most recent call last):
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client   File "/usr/lib/python2.7/site-packages/ceilometer/nova_client.py", line 52, in with_logging
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client     return func(*args, **kwargs)
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client   File "/usr/lib/python2.7/site-packages/ceilometer/nova_client.py", line 171, in instance_get_all
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client     search_opts=search_opts)
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client   File "/usr/lib/python2.7/site-packages/novaclient/v2/servers.py", line 749, in list
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client     "servers")
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client   File "/usr/lib/python2.7/site-packages/novaclient/base.py", line 242, in _list
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client     resp, body = self.api.client.get(url)
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client   File "/usr/lib/python2.7/site-packages/keystoneauth1/adapter.py", line 173, in get
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client     return self.request(url, 'GET', **kwargs)
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client   File "/usr/lib/python2.7/site-packages/novaclient/client.py", line 89, in request
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client     **kwargs)
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client   File "/usr/lib/python2.7/site-packages/keystoneauth1/adapter.py", line 331, in request
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client     resp = super(LegacyJsonAdapter, self).request(*args, **kwargs)
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client   File "/usr/lib/python2.7/site-packages/keystoneauth1/adapter.py", line 98, in request
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client     return self.session.request(url, method, **kwargs)
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client   File "/usr/lib/python2.7/site-packages/positional/__init__.py", line 94, in inner
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client     return func(*args, **kwargs)
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client   File "/usr/lib/python2.7/site-packages/keystoneauth1/session.py", line 370, in request
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client     auth_headers = self.get_auth_headers(auth)
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client   File "/usr/lib/python2.7/site-packages/keystoneauth1/session.py", line 624, in get_auth_headers
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client     return auth.get_headers(self, **kwargs)
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client   File "/usr/lib/python2.7/site-packages/keystoneauth1/plugin.py", line 84, in get_headers
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client     token = self.get_token(session)
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client   File "/usr/lib/python2.7/site-packages/keystoneauth1/identity/base.py", line 90, in get_token
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client     return self.get_access(session).auth_token
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client   File "/usr/lib/python2.7/site-packages/keystoneauth1/identity/base.py", line 136, in get_access
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client     self.auth_ref = self.get_auth_ref(session)
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client   File "/usr/lib/python2.7/site-packages/keystoneauth1/identity/generic/base.py", line 179, in get_auth_ref
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client     self._plugin = self._do_create_plugin(session)
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client   File "/usr/lib/python2.7/site-packages/keystoneauth1/identity/generic/base.py", line 168, in _do_create_plugin
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client     'Cannot use v2 authentication with domain scope')
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client DiscoveryFailure: Cannot use v2 authentication with domain scope
2016-07-19 11:10:33.227 6898 ERROR ceilometer.nova_client 


Version-Release number of selected component (if applicable):
-------------------------------------------------------------
python-ceilometer-6.1.1-1.el7ost.noarch
python-ceilometerclient-2.3.0-1.el7ost.noarch
openstack-ceilometer-notification-6.1.1-1.el7ost.noarch
openstack-ceilometer-polling-6.1.1-1.el7ost.noarch
openstack-ceilometer-central-6.1.1-1.el7ost.noarch
openstack-ceilometer-common-6.1.1-1.el7ost.noarch
openstack-ceilometer-api-6.1.1-1.el7ost.noarch
python-ceilometer-tests-6.1.1-1.el7ost.noarch
openstack-ceilometer-collector-6.1.1-1.el7ost.noarch

openstack-tripleo-heat-templates-kilo-2.0.0-15.el7ost.noarch
openstack-tripleo-heat-templates-2.0.0-15.el7ost.noarch
openstack-tripleo-heat-templates-liberty-2.0.0-15.el7ost.noarch

instack-undercloud-4.0.0-7.el7ost.noarch
instack-0.0.8-3.el7ost.noarch


Additional info:
----------------
Overcloud BZ https://bugzilla.redhat.com/show_bug.cgi?id=1347716

Comment 6 Yurii Prokulevych 2016-07-29 11:24:37 UTC
New deployment of RHOS9.
No traceback in central.log Meters collected at configured intervals.

Packages:
---------
instack-0.0.8-3.el7ost.noarch
instack-undercloud-4.0.0-10.el7ost.noarch

openstack-puppet-modules-8.1.5-1.el7ost.noarch

openstack-tripleo-heat-templates-2.0.0-24.el7ost.noarch
openstack-tripleo-heat-templates-liberty-2.0.0-24.el7ost.noarch

Comment 8 errata-xmlrpc 2016-08-11 11:36:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-1599.html


Note You need to log in before you can comment on or make changes to this bug.